import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { StringFieldUpdateOperationsInputObjectSchema as StringFieldUpdateOperationsInputObjectSchema } from './StringFieldUpdateOperationsInput.schema'

const makeSchema = () => z.object({
  paymentGroupId: z.union([z.string(), z.lazy(() => StringFieldUpdateOperationsInputObjectSchema)]).optional()
}).strict();
export const SeleniumSettingsUpdateManyMutationInputObjectSchema: z.ZodType<Prisma.SeleniumSettingsUpdateManyMutationInput> = makeSchema() as unknown as z.ZodType<Prisma.SeleniumSettingsUpdateManyMutationInput>;
export const SeleniumSettingsUpdateManyMutationInputObjectZodSchema = makeSchema();
